<div class="row">
    <div class="col-xs-12">
        <form>
            <div class="row">
                <div class="col-sm-5 form-group">
                    <label for="name">Name</label>
                    <input type="text" id="name" class="form-control" #nameInput>
                </div>
                <div class="col-sm-2 form-group">
                    <label for="amount">Amount</label>
                    <input type="number" id="amount" class="form-control" #amountInput>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <button class="btn btn-success form-button-css" type="submit" (click)="onAddItem()">Add</button> 
                    <button class="btn btn-danger form-button-css" type="button">Delete</button> 
                    <button class="btn btn-primary form-button-css" type="button">Clear</button> 
                </div>
            </div>
        </form>
    </div>
</div>